EDIT - task #7987

[DISUCSS] Do we need an editor in Reference linking to TeamOrPersonBase
01/14/2019 02:09 PM - Andreas Mdller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal

Description

Advantage correct formatting in deduplication. However, some more complex "editors" will be more difficult to handle.

Also parser and formatter need to be adapted.

Related issues:

Related to EDIT - bug #7988: Correct formatting and parsing of Reference.editor New
Copied from EDIT - task #7918: Revision of reference type specific properties Closed
History

#1 - 01/14/2019 02:11 PM - Andreas Miiller
- Related to bug #7988: Correct formatting and parsing of Reference.editor added

#2 - 01/14/2019 02:12 PM - Andreas Miller

- Copied from task #7918: Revision of reference type specific properties added

#3 - 01/19/2019 01:00 AM - Andreas Miiller
- Priority changed from New to Priority14

#4 - 05/05/2019 11:17 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#5 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#6 - 08/26/2022 02:57 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

#7 - 08/26/2022 03:45 PM - Andreas Miuller
AM:

Ich habe die in der Prioritdt nochmal nach oben geschoben, da das wirklich ein dringendes Thema ist.

Wobei die offene Frage hier ist, inwieweit die Editoren auch atomisiert vorliegen sollten. Derzeit gibt es wie gesagt nur ein Freitext-Feld, welches aber

nattrlich durch ein Link zu einem Autor/Team ersetzt werden kdnnte.

Zudem muss der Parser auch angepasst werden, damit entsprechend formatierte Referenzen auch nachtraglich wieder geparsed werden kénnen.

Und es muss zwischen ed. und eds. Unterschieden werden.

AuBerdem die Frage, ob das Editor Attribut zusatzlich zum Autor oder alternativ (Unterscheidung z.B. durch Flag) existieren soll ist noch nicht final

geklart. Gibt es Falle, bei denen beides vorkommen kdnnte?
